# Validate SSNs

Submit a batch request to check if the Social Security Numbers are within the acceptable range, and match against the First and Last Name.

Endpoint: POST /doLookup

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `CustomerId` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Records` (array, required)

  - `Records.RecordID` (string)
    This is a string value containing a unique identifier for the current record. Use this to match the record submitted with the record returned. It will return what is inputted.

  - `Records.SSN` (string, required)
    Required. This is a string value containing the Social Security Number. All hyphens are ignored when submitting the SSN. We recommended using only numbers when submitting the SSN.

  - `Records.FirstName` (string)
    Required. The given (first) name.

  - `Records.LastName` (string)
    Required. The family (last) name.

  - `Records.FullName` (string)
    Required. This field can contain a full name. We will parse and check Names only if the First Name and Last Name fields are left blank.

## Response 200 fields (application/json):

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [SSN Name Match Result Codes](https://docs.melissa.com/cloud-api/ssn-name-match/result-codes.html).

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `Version` (string)
    The current service version number.

  - `TotalRecords` (string)
    Total number of records.

  - `Records` (array)

  - `Records.RecordID` (string)
    The record ID.

  - `Records.SSN` (string)
    The Social Security Number submitted for validation.

  - `Records.IssuingState` (string)
    The issuing state calculated by using the SSN Area Number (first 3 digits of the SSN).

  - `Records.Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [SSN Name Match Result Codes](https://docs.melissa.com/cloud-api/ssn-name-match/result-codes.html).

  - `Records.ResultsFromDataSource` (string)
    Comma delimited status, error codes, and change codes from the Data Source.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


